function dec = obtainSynderCuboidDec2
% common decomposition for snyder CuboidCases

fileNameDecomposition = 'snyderCuboid2_dec.matx';
if exist(fileNameDecomposition, 'file')
    dec = load(fileNameDecomposition, '-mat');
    dec = dec.dec;
else
    % Load case (contains source information)
    dec = obtainCrystalDec('snyder_cuboid_2');
    % generate measure information
    dec = addMeasureDataDec(dec, 'volume');
    dec = addMeasureDataDec(dec, 'surface');
    dec = addMeasureDataDec(dec, 'meanWidth');
    dec = addMeasureDataDec(dec, 'support', dec.A([1 7 11 15], :));
    % save file
    save(fileNameDecomposition, '-mat', 'dec');
end